import convert from "./converter";
import parse from "./parser";
import timer from "./timer";
import { filter } from "rxjs/operators";
const cron = (cronExpr) => {
    const pred = convert(parse(cronExpr));
    const obs = timer.pipe(filter(pred));
    return obs;
};
export default cron;
